/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
/// <reference types="jest__types" />
import type { Config } from '@jest/types';
export default class FakeTimers {
    private _clock;
    private readonly _config;
    private _fakingTime;
    private readonly _global;
    private readonly _fakeTimers;
    constructor({ global, config, }: {
        global: typeof globalThis;
        config: Config.ProjectConfig;
    });
    clearAllTimers(): void;
    dispose(): void;
    runAllTimers(): void;
    runAllTimersAsync(): Promise<void>;
    runOnlyPendingTimers(): void;
    runOnlyPendingTimersAsync(): Promise<void>;
    advanceTimersToNextTimer(steps?: number): void;
    advanceTimersToNextTimerAsync(steps?: number): Promise<void>;
    advanceTimersByTime(msToRun: number): void;
    advanceTimersByTimeAsync(msToRun: number): Promise<void>;
    runAllTicks(): void;
    useRealTimers(): void;
    useFakeTimers(fakeTimersConfig?: Config.FakeTimersConfig): void;
    reset(): void;
    setSystemTime(now?: number | Date): void;
    getRealSystemTime(): number;
    now(): number;
    getTimerCount(): number;
    private _checkFakeTimers;
    private _toSinonFakeTimersConfig;
}
