/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
/// <reference types="jest__types" />
import type { AggregatedResult, Test, TestResult } from '@jest/test-result';
import type { Config } from '@jest/types';
import BaseReporter from './BaseReporter';
export default class GitHubActionsReporter extends BaseReporter {
    #private;
    static readonly filename: string;
    private readonly options;
    constructor(_globalConfig: Config.GlobalConfig, reporterOptions?: {
        silent?: boolean;
    });
    onTestResult(test: Test, testResult: TestResult, aggregatedResults: AggregatedResult): void;
    private generateAnnotations;
    private isLastTestSuite;
    private printFullResult;
    private arrayEqual;
    private arrayChild;
    private getResultTree;
    private getResultChildren;
    private printResultTree;
    private recursivePrintResultTree;
    private printFailedTestLogs;
    private startGroup;
    private endGroup;
}
