/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import type { Circus, Global } from '@jest/types';
export { setState, getState, resetState } from './state';
export { default as run } from './run';
declare type THook = (fn: Circus.HookFn, timeout?: number) => void;
declare const describe: {
    (blockName: Circus.BlockNameLike, blockFn: Circus.BlockFn): void;
    each: Global.EachTestFn<any>;
    only: {
        (blockName: Circus.BlockNameLike, blockFn: Circus.BlockFn): void;
        each: Global.EachTestFn<any>;
    };
    skip: {
        (blockName: Circus.BlockNameLike, blockFn: Circus.BlockFn): void;
        each: Global.EachTestFn<any>;
    };
};
declare const beforeEach: THook;
declare const beforeAll: THook;
declare const afterEach: THook;
declare const afterAll: THook;
declare const test: Global.It;
declare const it: Global.It;
export declare type Event = Circus.Event;
export declare type State = Circus.State;
export { afterAll, afterEach, beforeAll, beforeEach, describe, it, test };
declare const _default: {
    afterAll: THook;
    afterEach: THook;
    beforeAll: THook;
    beforeEach: THook;
    describe: {
        (blockName: Global.BlockNameLike, blockFn: Global.BlockFn): void;
        each: Global.EachTestFn<any>;
        only: {
            (blockName: Global.BlockNameLike, blockFn: Global.BlockFn): void;
            each: Global.EachTestFn<any>;
        };
        skip: {
            (blockName: Global.BlockNameLike, blockFn: Global.BlockFn): void;
            each: Global.EachTestFn<any>;
        };
    };
    it: Global.It;
    test: Global.It;
};
export default _default;
