/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import type { NewPlugin, OptionsReceived } from './types';
export type { Colors, CompareKeys, Config, Options, OptionsReceived, OldPlugin, NewPlugin, Plugin, Plugins, PrettyFormatOptions, Printer, Refs, Theme, } from './types';
export declare const DEFAULT_OPTIONS: {
    callToJSON: true;
    compareKeys: undefined;
    escapeRegex: false;
    escapeString: true;
    highlight: false;
    indent: number;
    maxDepth: number;
    maxWidth: number;
    min: false;
    plugins: never[];
    printBasicPrototype: true;
    printFunctionName: true;
    theme: Required<Partial<{
        readonly comment: string;
        readonly content: string;
        readonly prop: string;
        readonly tag: string;
        readonly value: string;
    }>>;
};
/**
 * Returns a presentation string of your `val` object
 * @param val any potential JavaScript object
 * @param options Custom settings
 */
export declare function format(val: unknown, options?: OptionsReceived): string;
export declare const plugins: {
    AsymmetricMatcher: NewPlugin;
    DOMCollection: NewPlugin;
    DOMElement: NewPlugin;
    Immutable: NewPlugin;
    ReactElement: NewPlugin;
    ReactTestComponent: NewPlugin;
};
export default format;
